<h1 align="center">emacs-personal</h1>
Lightweight configuration of emacs with basic utilities plus personal configuration

![emacs-personal](https://archive.org/download/libreweb/emacs-personal-1.0.png?raw=true "emacs-personal")

### Installation

First step:

    M-x package-refresh-contents [RET]

#### Main mirror

1. `git clone https://hgit.conocimientoslibres.ga/software/emacs-personal.git ~/.emacs.d/`

2. `emacs --batch --eval='(load-file "~/.emacs.d/init.el")'`

#### Secundary mirror

1. `git clone https://notabug.org/heckyel/emacs-personal.git ~/.emacs.d/`

2. `emacs --batch --eval='(load-file "~/.emacs.d/init.el")'`

### Fonts

`pacman -S ttf-hack` (for default)

`pacman -S ttf-anonymous-pro`

> change the typography in the [init-gui.el](modules/init-gui.el#L54) file

### Icons

```console
$ emacs --batch --eval="(progn (package-initialize)(package-install 'all-the-icons))"
```

### Markdown Mode

Require installed markdown in distro GNU+Linux, example:

```console
$ apt install markdown
```

or

```console
$ pacman -S markdown
```

### Flycheck Mode
- Require installed the languages checking, example:

#### bash, sh

```console
$ pacman -S shellcheck
```

#### python

```console
$ pacman -S python-pylint
```

### Neotree

Neotree comes by default in combination with all-the-icons.
So pressing `[f8]` will display (you must give "yes") a one-time screen to install all-the-icons fonts.

### Linum
So pressing `[f6]` will display

### Mode Python
- Require installed virtualenv:

        $ pacman -S python-virtualenv

- Enable or disable pyvenv-mode: <kdb>M-x</kdb> pyvenv-mode

- To create virtualenv from emacs:

        $ pyvenv-create

- To activate virtualenv from emacs:

        $ pyvenv-activate

## Troubleshooting

```bash
Failed to verify signature archive-contents.sig:
No public key for 066DAFCB81E42C40 created at 2019-10-05T04:10:02-0500 using RSA
Command output:
gpg: Firmado el sáb 05 oct 2019 04:10:02 -05
gpg:                usando RSA clave C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Imposible comprobar la firma: No public key
```

### Method 0

```console
$ gpg --homedir ~/.emacs.d/elpa/gnupg --receive-keys 066DAFCB81E42C40
```

### Method 1

Disable temp signature key

```console
$ sed -i "s|(setq package-check-signature 'allow-unsigned)|(setq package-check-signature nil)|g" "$HOME/.emacs.d/init.el"
```

```console
M-x package-install RET gnu-elpa-keyring-update RET
```

and enable signature key

```console
$ sed -i "s|(setq package-check-signature nil)|(setq package-check-signature 'allow-unsigned)|g" "$HOME/.emacs.d/init.el"
```

## Evaluate in buffer

<kbd>C-x</kbd> + <kbd>C-e</kbd>
